Bug 249125 - Review Request: exempi - Library for easy parsing of XMP metadata
Review Request: exempi - Library for easy parsing of XMP metadata
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-20 22:07 EDT by Deji Akingunola
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-29 19:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2007-07-20 22:07:07 EDT
Spec URL: ftp://czar.eas.yorku.ca/pub/exempi/exempi.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/exempi/exempi-1.99.3-1.fc8.src.rpm
Description: Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.
Comment 1 Jason Tibbitts 2007-07-29 13:44:07 EDT
I have to admit that I have no idea what this package does, and no way to test
it as it's a library that has no test suite.  But it's a simple and clean
package, so...

rpmlint says:
W: exempi unused-direct-shlib-dependency /usr/lib64/libexempi.so.2.3.0 
  It links against libm (which seems to be the default for autoconf packages) 
  but doesn't call any functions from it.  I don't see this as a really big 

W: exempi-devel no-documentation
  Not a problem.  I guess it would be nice if there were some programming 
  information included, but it's not your responsibility to produce it.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   exempi = 1.99.3-1.fc8

   exempi-devel = 1.99.3-1.fc8
   exempi = 1.99.3-1.fc8

* %check is not present; no test suite upstream.
* shared libraries present; ldconfig is called as necessary and unversioned .so 
   files are in the -devel subpackage.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* pkgconfig file is in the -devel subpackage; pkgconfig dependency is there.
* no static libraries.
* no libtool .la files.

Comment 2 Deji Akingunola 2007-07-29 15:17:43 EDT
Thanks for doing the review. XMP is the Adobe's extensible metadata platform,
and exempi provides the library for extracting the metadata under linux. New
version of tracker support it and uses exempi for the job.  
Comment 3 Deji Akingunola 2007-07-29 15:19:13 EDT
New Package CVS Request
Package Name: exempi
Short Description: Library for easy parsing of XMP metadata
Owners: dakingun@gmail.com
Branches: FC-6 F-7
Comment 4 Jason Tibbitts 2007-07-29 15:26:01 EDT
CVS done.
Comment 5 Deji Akingunola 2007-07-29 19:15:31 EDT
Built successfully in koji.

Note You need to log in before you can comment on or make changes to this bug.